Package org.duckdb

## Class DuckDBColumnTypeMetaData

- java.lang.Object
- - org.duckdb.DuckDBColumnTypeMetaData

    public class DuckDBColumnTypeMetaData
    extends java.lang.Object

### Field Summary

Fields
`short` `scale`
`short` `type_size`
`short` `width`

### Constructor Summary

Constructors
`DuckDBColumnTypeMetaData​(short type_size, short width, short scale)`

### Method Summary

All Methods Static Methods Concrete Methods
`static DuckDBColumnTypeMetaData` `parseColumnTypeMetadata​(java.lang.String columnTypeDetail)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### type_size

    public final short type_size

#### width

    public final short width

#### scale

    public final short scale

### Constructor Detail

#### DuckDBColumnTypeMetaData

    public DuckDBColumnTypeMetaData​(short type_size,
                                    short width,
                                    short scale)

### Method Detail

#### parseColumnTypeMetadata

    public static DuckDBColumnTypeMetaData parseColumnTypeMetadata​(java.lang.String columnTypeDetail)